Bug 800529 - RFE: As a sysadmin I would like to manage a user's org from the CLI
RFE: As a sysadmin I would like to manage a user's org from the CLI
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: FutureFeature, Triaged
Depends On:
Blocks: 800530
  Show dependency treegraph
 
Reported: 2012-03-06 11:35 EST by Eric Sammons
Modified: 2014-09-18 12:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The command line interface did not support setting a user's default organization. This fix adds option to set a user's default organization.
Story Points: ---
Clone Of:
: 800530 (view as bug list)
Environment:
katello-headpin-all-0.1.141-1.el6.noarch katello-cli-headpin-0.1.15-2.el6.noarch
Last Closed: 2012-12-04 14:42:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-03-06 11:35:16 EST
Description of problem:
Currently the headpin and katello Command Line Interfaces do not appear to support setting or listing a user's default organization / environment via the user command.

headpin> user info --username=testuser
--------------------------------------------------------------------------------
                                User Information
--------------------------------------------------------------------------------

Id:       16
Username: testuser
Email:    testuser@example.com
Disabled: False


headpin> user create --help
Usage: headpin [options]

Options:
  -h, --help           show this help message and exit
  -g                   grep friendly output
  -v                   verbose, more structured output
  -d DELIMITER         grep friendly output column delimiter
  --username=USERNAME  user name (required)
  --password=PASSWORD  initial password (required)
  --email=EMAIL        email (required)
  --disabled=DISABLED  disabled account (default is 'false')
Comment 1 Bryan Kearney 2012-04-26 08:39:39 EDT
The katello cli supports this 0.2.32 or later.
Comment 3 Og Maciel 2012-09-18 13:52:00 EDT
# katello -u admin -p admin user create --help
Usage:  katello <options> user create <options>

Options:
  -h, --help            show this help message and exit
  --username=USERNAME   user name (required)
  --password=PASSWORD   initial password (required)
  --email=EMAIL         email (required)
  --disabled=DISABLED   disabled account (default is 'false')
  --default_organization=DEFAULT_ORGANIZATION
                        user's default organization name
  --default_environment=DEFAULT_ENVIRONMENT
                        user's default environment name
  --default_locale=DEFAULT_LOCALE
                        user's default locale
  -g                    grep friendly output
  -v                    verbose, more structured output
  -d DELIMITER          column delimiter in grep friendly output, works only
                        with option -g
  --noheading           Suppress any heading output. Useful if grepping the
                        output.
Comment 4 Og Maciel 2012-09-18 13:52:22 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:42:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.